<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="viewmodel"
            type="it.integry.integrywmsnative.gest.ordini_uscita_elenco.dialogs.DialogVenditaFiltroAvanzatoViewModel" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.ordini_uscita_elenco.dialogs.DialogVenditaFiltroAvanzatoView" />

    </data>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">


        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="16dp">


                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/title_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/TextViewMaterial.Dialog.HeadlineText"
                    android:text="@string/dialog_vendita_filtro_avanzato"
                    android:gravity="center_horizontal"
                    android:layout_marginBottom="12dp"/>





                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_cod_mdep_new"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:imeOptions="actionNext"
                    android:nextFocusDown="@id/input_id_viaggio"
                    android:hint="@string/deposit">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_cod_mdep"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusDown="@id/input_id_viaggio"
                        app:binding="@{view.deposito}" />

                </com.google.android.material.textfield.TextInputLayout>


                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_id_viaggio"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/travel_id">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_id_viaggio"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusForward="@id/filled_exposed_dropdown_num_ords"
                        app:binding="@{view.idViaggio}" />

                </com.google.android.material.textfield.TextInputLayout>



                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_num_ords"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/num_ords">

                    <androidx.appcompat.widget.AppCompatMultiAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_num_ords"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="number|text"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusForward="@id/filled_exposed_dropdown_cliente"
                        app:binding="@{view.numOrds}"/>

                </com.google.android.material.textfield.TextInputLayout>


                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_cliente"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/customer">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_cliente"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="textNoSuggestions"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusForward="@id/filled_exposed_dropdown_vettore"
                        app:binding="@{view.cliente}"/>

                </com.google.android.material.textfield.TextInputLayout>


                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_vettore"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/carrier">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_vettore"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="textNoSuggestions"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusForward="@id/filled_exposed_dropdown_automezzo"
                        app:binding="@{view.vettore}"/>

                </com.google.android.material.textfield.TextInputLayout>


                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_automezzo"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/vehicle">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_automezzo"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="textNoSuggestions"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusForward="@id/filled_exposed_dropdown_paese"
                        app:binding="@{view.automezzo}"/>

                </com.google.android.material.textfield.TextInputLayout>


                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_paese"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/city">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_paese"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="textNoSuggestions"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusForward="@id/filled_exposed_dropdown_agente"
                        app:binding="@{view.paese}"/>

                </com.google.android.material.textfield.TextInputLayout>


                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_agente"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/agent">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_agente"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="textNoSuggestions"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionNext"
                        android:nextFocusForward="@id/filled_exposed_dropdown_term_cons"
                        app:binding="@{view.agente}"/>

                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/input_data_cons"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/ship_date">


                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/filled_exposed_dropdown_data_cons"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="textNoSuggestions"
                        android:focusable="false"
                        android:singleLine="true"
                        app:binding="@{view.dataConsegna}"/>

                </com.google.android.material.textfield.TextInputLayout>


                <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/input_term_cons"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/terms_of_delivery">

                    <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                        android:id="@+id/filled_exposed_dropdown_term_cons"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="textNoSuggestions"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:imeOptions="actionDone"
                    app:binding="@{view.terminiConsegna}"/>

                </com.google.android.material.textfield.TextInputLayout>





                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="24dp"
                    android:layout_marginEnd="24dp"
                    android:layout_marginTop="8dp">

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/buttons_guideline"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.5"/>



                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/neutral_btn"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        style="@style/Button.PrimaryOutline"
                        android:layout_marginLeft="8dp"
                        android:layout_marginRight="8dp"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintEnd_toStartOf="@id/buttons_guideline"
                        app:strokeColor="@color/colorPrimary"
                        android:text="@string/reset"/>


                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/positive_btn"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        style="@style/Button.PrimaryFull"
                        android:layout_marginLeft="8dp"
                        android:layout_marginRight="8dp"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintStart_toStartOf="@id/buttons_guideline"
                        app:layout_constraintEnd_toEndOf="parent"
                        android:text="@string/confirm"/>


                </androidx.constraintlayout.widget.ConstraintLayout>
            </LinearLayout>
        </ScrollView>




    </androidx.cardview.widget.CardView>



</layout>